package com.rnalice

import android.app.Activity
import android.content.Intent
import android.os.Bundle
import android.os.Handler
import android.os.Looper
import androidx.appcompat.app.AppCompatActivity
import com.alicebiometrics.onboarding.api.*
import com.facebook.react.ReactActivity


class CommandAddDocumentActivity : ReactActivity() {

    private var onboardingCommands: OnboardingCommands? = null

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)

        val extrasBundle = intent.extras
        val userToken = extrasBundle?.getString("userToken", "")
        val documentId = extrasBundle?.getString("documentId", "")
        val type = extrasBundle?.getString("type", "")
        val side = extrasBundle?.getString("side", "")
        val issuingCountry = extrasBundle?.getString("issuingCountry", "")

        onboardingCommands = OnboardingCommands(
            (this as AppCompatActivity),
            userToken!!,
            true
        ) { onboardingCommandResult ->
            when(onboardingCommandResult) {
                is OnboardingCommandResult.Success -> {
                    runCommand(documentId!!, type!!, issuingCountry!!, side!!)
                }
                is OnboardingCommandResult.Failure -> {
                    val intentResult = Intent()
                    intentResult.putExtra("onboardingCommandResult", onboardingCommandResult)
                    setResult(Activity.RESULT_OK, intentResult)
                    finish()
                }
                else -> {}
            }
        }
    }

    private fun runCommand(documentId: String, type: String, issuingCountry: String, side: String) {
            onboardingCommands?.addDocument(
                documentId = documentId,
                type = DocumentType.value(type.lowercase()),
                issuingCountry = issuingCountry,
                side = DocumentSide.valueOf(side)
            ) { result ->
                val intentResult = Intent()
                intentResult.putExtra("onboardingCommandResult", result)
                setResult(Activity.RESULT_OK, intentResult)
                finish()
            }
        }
}