package com.rnalice

import android.app.Activity
import android.content.Intent
import android.os.Bundle
import com.facebook.react.ReactActivity
import androidx.appcompat.app.AppCompatActivity
import com.alicebiometrics.onboarding.api.*


class CommandAddDocumentNFCActivity : ReactActivity() {

    private val REQUEST_CODE_ADD_DOCUMENT: Int = 100
    private var onboardingCommands: OnboardingCommands? = null
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)

        val extrasBundle = intent.extras
        val userToken = extrasBundle?.getString("userToken", "")
        val documentId = extrasBundle?.getString("documentId", "")

        onboardingCommands = OnboardingCommands(
            (this as AppCompatActivity),
            userToken!!,
            true
        ) { onboardingCommandResult ->
            when(onboardingCommandResult) {
                is OnboardingCommandResult.Success -> {
                    runCommand(documentId!!)
                }
                is OnboardingCommandResult.Failure -> {
                    val intentResult = Intent()
                    intentResult.putExtra("onboardingCommandResult", onboardingCommandResult)
                    setResult(Activity.RESULT_OK, intentResult)
                    finish()
                }
                else -> {}
            }
        }
    }

    fun runCommand(documentId: String) {
        onboardingCommands?.addDocumentNFC(documentId=documentId, showTutorial = true,
            requestCode=REQUEST_CODE_ADD_DOCUMENT)
    }

    override fun onActivityResult(requestCode: Int, resultCode: Int, data: Intent?) {
        super.onActivityResult(requestCode, resultCode, data)
        if(requestCode == REQUEST_CODE_ADD_DOCUMENT) {
            setResult(resultCode, data)
            finish()
        }
    }
}