package com.rnalice

import android.app.Activity
import android.content.Intent
import android.os.Bundle
import com.facebook.react.ReactActivity
import androidx.appcompat.app.AppCompatActivity
import com.alicebiometrics.onboarding.api.OnboardingCommandResult
import com.alicebiometrics.onboarding.api.OnboardingCommands



class CommandAuthenticateActivity : ReactActivity() {

    private val REQUEST_CODE_AUTHENTICATE: Int = 100
    private var onboardingCommands: OnboardingCommands? = null

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)

        val extrasBundle = intent.extras
        val userToken = extrasBundle?.getString("userToken", "")

        onboardingCommands = OnboardingCommands(
            (this as AppCompatActivity),
            userToken!!,
            true
        ) { onboardingCommandResult ->
            when(onboardingCommandResult) {
                is OnboardingCommandResult.Success -> {
                    runCommand()
                }
                is OnboardingCommandResult.Failure -> {
                    val intentResult = Intent()
                    intentResult.putExtra("onboardingCommandResult", onboardingCommandResult)
                    setResult(Activity.RESULT_OK, intentResult)
                    finish()
                }
                else -> {}
            }
        }


    }

    fun runCommand() {
        onboardingCommands?.authenticate { onboardingCommandResult ->
            val intentResult = Intent()
            intentResult.putExtra("onboardingCommandResult", onboardingCommandResult)
            setResult(Activity.RESULT_OK, intentResult)
            finish()
        }
    }

   override fun onActivityResult(requestCode: Int, resultCode: Int, data: Intent?) {
        super.onActivityResult(requestCode, resultCode, data)
        if(requestCode == REQUEST_CODE_AUTHENTICATE) {
            setResult(resultCode, data)
            finish()
        }
    }
}