package com.rnalice

import android.app.Activity
import android.content.Intent
import android.os.Bundle
import com.facebook.react.ReactActivity
import androidx.appcompat.app.AppCompatActivity
import com.alicebiometrics.onboarding.api.OnboardingCommandResult
import com.alicebiometrics.onboarding.api.OnboardingCommands



class CommandAddSelfieActivity : ReactActivity() {

    private var onboardingCommands: OnboardingCommands? = null

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)

        val extrasBundle = intent.extras
        val userToken = extrasBundle?.getString("userToken", "")

        onboardingCommands = OnboardingCommands(
            (this as AppCompatActivity),
            userToken!!,
            true
        ) { onboardingCommandResult ->
            when(onboardingCommandResult) {
                is OnboardingCommandResult.Success -> {
                    runCommand()
                }
                is OnboardingCommandResult.Failure -> {
                    val intentResult = Intent()
                    intentResult.putExtra("onboardingCommandResult", onboardingCommandResult)
                    setResult(Activity.RESULT_OK, intentResult)
                    finish()
                }
                else -> {}
            }
        }
    }

    fun runCommand() {
        onboardingCommands?.addSelfie {
            val intentResult = Intent()
            intentResult.putExtra("onboardingCommandResult", it)
            setResult(RESULT_OK, intentResult)
            finish()
        }
    }

}